using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using Kivii;
using Kivii.DataAnnotations;

namespace Njust.Pdf.Analysis.Entities
{
    [Alias(Configs.TableDisTimeTopic)]
    [Api(Description = "时序主题分布")]
    public class DisTimeTopic : EntityWithMetadata
    {
        [ApiMember(Description = "所属领域")]
        public string DomainName { get; set; }

        [ApiMember(Description = "语言")]
        public string Language { get; set; }

        [ApiMember(Description = "年份")]
        public string Year { get; set; }

        [ApiMember(Description = "主题编号")]
        public string Topic { get; set; }

        [ApiMember(Description = "主题词TOP10")]
        public string TopicWord { get; set; }

        [ApiMember(Description = "主题词概率TOP10")]
        public List<double> TopicWordProbability { get; set; }

        [ApiMember(Description = "主题支持文档列表")]
        [StringLength(5000)]
        public List<double[]> Documentlist { get; set; }

        [ApiMember(Description = "训练参数")]
        public string Parameter { get; set; }

    }
}
